// OutEdit.cpp : implementation file
//

#include "stdafx.h"
#include "Srt.h"
#include "OutEdit.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// OutEdit dialog


OutEdit::OutEdit(CWnd* pParent /*=NULL*/)
	: CDialog(OutEdit::IDD, pParent)
{
	//{{AFX_DATA_INIT(OutEdit)
	m_Field = _T("");
	m_NoSep = FALSE;
	m_PermitBlank = FALSE;
	m_Postfix = _T("");
	m_NoTrim = FALSE;
	m_EndLine = FALSE;
	//}}AFX_DATA_INIT
}


void OutEdit::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(OutEdit)
	DDX_Control(pDX, IDC_FIELD, m_FieldList);
	DDX_CBString(pDX, IDC_FIELD, m_Field);
	DDX_Check(pDX, IDC_NOSEP, m_NoSep);
	DDX_Check(pDX, IDC_PERMITBLANK, m_PermitBlank);
	DDX_Text(pDX, IDC_POSTFIX, m_Postfix);
	DDX_Check(pDX, IDC_NOTRIM, m_NoTrim);
	DDX_Check(pDX, IDC_ENDLINE, m_EndLine);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(OutEdit, CDialog)
	//{{AFX_MSG_MAP(OutEdit)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// OutEdit message handlers

BOOL OutEdit::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	int i;
	for( i=0; i < FieldList.GetSize(); i++ )
		m_FieldList.AddString( FieldList[i] );
	UpdateData( FALSE );
	
	return TRUE;	
}
