#include "stdafx.h"

#include "sortdef.h"

IMPLEMENT_SERIAL( MSort, CObject, 1 )

MSort::MSort(const CObArray & FldList,CString xName, BYTE xStatus )
{
	Set( FldList, xName, xStatus );
}

void MSort::Set( const CObArray & FldList, int ID, BYTE xStatus )
{
	MField * Field;
	
	Field=(MField*)FldList[ID];
	Set( Field->GetName(), xStatus, ID );
}

void MSort::Set( const CObArray & FldList, CString xName, BYTE xStatus )
{
	MField * Field;
	int i;

	for( i=0; i<FldList.GetSize(); i++ )
	{
		Field=(MField*)FldList[i];
		if( Field->IsName( xName ) )
			Set( Field->GetName(), xStatus, i );
	}

}

void MSort::Serialize( CArchive & ar )
{
	CObject::Serialize( ar );
	
	if( ar.IsStoring() )
	{
		ar << FieldName;
		ar.Write(&FieldID, sizeof(FieldID));
		ar.Write(&Status, sizeof(Status));
	}
	else
	{
		ar >> FieldName;
		ar.Read(&FieldID, sizeof(FieldID));
		ar.Read(&Status, sizeof(Status));
	}
}
