// FldEdit.cpp : implementation file
//

#include "stdafx.h"
#include "Srt.h"
#include "FldEdit.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// FldEdit dialog


FldEdit::FldEdit(CWnd* pParent /*=NULL*/)
	: CDialog(FldEdit::IDD, pParent)
{
	//{{AFX_DATA_INIT(FldEdit)
	m_Name = _T("");
	m_Type = _T("");
	m_Offset = 0;
	m_Size = 0;
	//}}AFX_DATA_INIT
}


void FldEdit::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(FldEdit)
	DDX_Text(pDX, IDC_FLDNAME, m_Name);
	DDX_CBString(pDX, IDC_FLDTYPE, m_Type);
	DDX_Text(pDX, IDC_FLDOFFSET, m_Offset);
	DDX_Text(pDX, IDC_FLDSIZE, m_Size);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(FldEdit, CDialog)
	//{{AFX_MSG_MAP(FldEdit)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// FldEdit message handlers

//  Validate user's information
void FldEdit::OnOK() 
{
	// Retrieve values from Dialog controls for validation
	UpdateData( TRUE );

	//Perform validation
	if( m_Name=="" )
	{
		MessageBox( "Name can not be blank", "Error" );
		return;
	}
	if( m_Type=="" )
	{
		MessageBox( "Type can not be blank", "Error" );
		return;
	}
	if( m_Size==0 )
	{
		MessageBox( "Size can not be 0", "Error" );
		return;
	}
	
	// If all OK, signify a good 'OK' for closeing
	CDialog::OnOK();
}
