// SrtEdit.cpp : implementation file
//

#include "stdafx.h"
#include "Srt.h"
#include "SrtEdit.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// SrtEdit dialog


SrtEdit::SrtEdit(CWnd* pParent /*=NULL*/)
	: CDialog(SrtEdit::IDD, pParent)
{
	//{{AFX_DATA_INIT(SrtEdit)
	m_Field = _T("");
	m_Sensitive = FALSE;
	//}}AFX_DATA_INIT
}


void SrtEdit::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(SrtEdit)
	DDX_Control(pDX, IDC_FIELD, m_FieldList);
	DDX_CBString(pDX, IDC_FIELD, m_Field);
	DDX_Check(pDX, IDC_SENSITIVE, m_Sensitive);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(SrtEdit, CDialog)
	//{{AFX_MSG_MAP(SrtEdit)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// SrtEdit message handlers

void SrtEdit::OnOK() 
{
	UpdateData(TRUE);
	if( m_Field=="" )
	{
		MessageBox( "You must select a field", "Error" );
		return;
	}
	
	CDialog::OnOK();
}

BOOL SrtEdit::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	int i;
	for( i=0; i < FieldList.GetSize(); i++ )
		m_FieldList.AddString( FieldList[i] );
	UpdateData(FALSE);
	
	return TRUE;
}
